{ mkDerivation
, PyF
, async
, barbies
, base
, base16-bytestring
, base64-bytestring
, bytestring
, cborg
, containers
, deepseq
, extra
, fetchgit
, filepath
, flat
, hedgehog
, lens
, lib
, mtl
, nothunks
, plutus-core
, plutus-tx
, prettyprinter
, serialise
, tagged
, tasty
, tasty-hedgehog
, tasty-hunit
, tasty-quickcheck
, template-haskell
, text
, transformers
}:
mkDerivation {
  pname = "plutus-ledger-api";
  version = "1.0.0.0";
  src = fetchgit {
    url = "https://github.com/milloni/plutus";
    sha256 = "0pzzqqbp6jvrzxp7gyi4dnnc5pg0jnr76dsaq6pzn3zgr46pgbd3";
    rev = "81cd1ada745c12af2c2c28afce1f6b6b28b38fdd";
    fetchSubmodules = true;
  };
  postUnpack = "sourceRoot+=/plutus-ledger-api/; echo source root reset to $sourceRoot";
  isLibrary = true;
  isExecutable = true;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base
    base16-bytestring
    base64-bytestring
    bytestring
    cborg
    containers
    deepseq
    extra
    flat
    lens
    mtl
    nothunks
    plutus-core
    plutus-tx
    prettyprinter
    PyF
    serialise
    tagged
    template-haskell
    text
    transformers
  ];
  executableHaskellDepends = [
    async
    base
    extra
    filepath
    mtl
    plutus-core
    serialise
    tasty
    tasty-hunit
  ];
  testHaskellDepends = [
    barbies
    base
    bytestring
    containers
    extra
    hedgehog
    lens
    mtl
    nothunks
    plutus-core
    tasty
    tasty-hedgehog
    tasty-hunit
    tasty-quickcheck
    text
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = false;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  description = "Interface to the Plutus ledger for the Cardano ledger";
  license = lib.licenses.asl20;
  broken = false;
}
